Debian Bug report logs - #677261
vsftpd: FTBFS[kfreebsd-amd64 mips{,el}]: relocation R_X86_64_32 against `.rodata.str1.1' can not be used when making a shared object; recompile with -fPIC

version graph

Package: src:vsftpd; Maintainer for src:vsftpd is Daniel Baumann <mail@daniel-baumann.ch>;

Reported by: debian-bsd@lists.debian.org

Date: Tue, 12 Jun 2012 16:30:05 UTC

Severity: serious

Tags: sid, wheezy

Found in version vsftpd/3.0.0-1

Fixed in version vsftpd/3.0.0-3

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#677261; Package src:vsftpd. (Tue, 12 Jun 2012 16:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>. (Tue, 12 Jun 2012 16:30:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: vsftpd: FTBFS[kfreebsd-amd64 mips{,el}]: relocation R_X86_64_32 against `.rodata.str1.1' can not be used when making a shared object; recompile with -fPIC
Date: Tue, 12 Jun 2012 18:28:28 +0200
Package: src:vsftpd
Version: 3.0.0-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

gcc -o vsftpd main.o utility.o prelogin.o ftpcmdio.o postlogin.o privsock.o tunables.o ftpdataio.o secbuf.o ls.o postprivparent.o logging.o str.o netstr.o sysstr.o strlist.o banner.o filestr.o parseconf.o secutil.o ascii.o oneprocess.o twoprocess.o privops.o standalone.o hash.o tcpwrap.o ipaddrparse.o access.o features.o readwrite.o opts.o ssl.o sslslave.o ptracesandbox.o ftppolicy.o sysutil.o sysdeputil.o seccompsandbox.o  -fPIE -pie -Wl,-z,relro -Wl,-z,now -lwrap -lpam -lssl -lcrypto
/usr/bin/ld: main.o: relocation R_X86_64_32 against `.rodata.str1.1' can not be used when making a shared object; recompile with -fPIC
main.o: could not read symbols: Bad value
collect2: error: ld returned 1 exit status
make[2]: *** [vsftpd] Error 1

Similar for mips*

Full build log at
https://buildd.debian.org/status/logs.php?pkg=vsftpd&ver=3.0.0-1&arch=kfreebsd-amd64

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Tue, 12 Jun 2012 16:54:06 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Tue, 12 Jun 2012 16:54:06 GMT) Full text and rfc822 format available.

Message #10 received at 677261-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 677261-close@bugs.debian.org
Subject: Bug#677261: fixed in vsftpd 3.0.0-2
Date: Tue, 12 Jun 2012 16:51:38 +0000
Source: vsftpd
Source-Version: 3.0.0-2

We believe that the bug you reported is fixed in the latest version of
vsftpd, which is due to be installed in the Debian FTP archive:

vsftpd_3.0.0-2.debian.tar.gz
  to main/v/vsftpd/vsftpd_3.0.0-2.debian.tar.gz
vsftpd_3.0.0-2.dsc
  to main/v/vsftpd/vsftpd_3.0.0-2.dsc
vsftpd_3.0.0-2_i386.deb
  to main/v/vsftpd/vsftpd_3.0.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677261@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel.baumann@progress-technologies.net> (supplier of updated vsftpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 Jun 2012 18:33:09 +0200
Source: vsftpd
Binary: vsftpd
Architecture: source i386
Version: 3.0.0-2
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Changed-By: Daniel Baumann <daniel.baumann@progress-technologies.net>
Description: 
 vsftpd     - lightweight, efficient FTP server written for security
Closes: 677261
Changes: 
 vsftpd (3.0.0-2) unstable; urgency=low
 .
   * Temporarily build without hardening flags, doesn't build reliably
     everywhere yet (Closes: #677261).
Checksums-Sha1: 
 198081d3b8f130c463ad5c18d0886c695edc3ba1 1125 vsftpd_3.0.0-2.dsc
 25220bb4541768c215a867d0af8d4be2af852910 27237 vsftpd_3.0.0-2.debian.tar.gz
 37c2c5cbd05d1d6c36b1d2142328173e1e7eb301 162406 vsftpd_3.0.0-2_i386.deb
Checksums-Sha256: 
 841942bfe7d6e7b6d29347f2be9a031bd90b0acfc856421ec3e44cd94276e72a 1125 vsftpd_3.0.0-2.dsc
 ed9487ef130598473da1012192257e269e56608b0547e48d0b04569b572a53aa 27237 vsftpd_3.0.0-2.debian.tar.gz
 4cc60ff0bd8b8e21d9a04b265a35d616104c0e7039d1d050aaee3fc2e6afc57b 162406 vsftpd_3.0.0-2_i386.deb
Files: 
 24d14da9a45505dc63c50648e6a5664c 1125 net extra vsftpd_3.0.0-2.dsc
 8a6570f0c715e5b533994ab96a577140 27237 net extra vsftpd_3.0.0-2.debian.tar.gz
 49d3b90fa5d8b6ed8ab7f1001ea71ee7 162406 net extra vsftpd_3.0.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/Xb9EACgkQ+C5cwEsrK55eEQCgucSLwlM/CzTgmR/iGVeqMMD0
PNwAnjaOzwR7q8iAJfz9YKXwNW1HoJrR
=fMo/
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, simon@ruderich.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#677261; Package src:vsftpd. (Sun, 24 Jun 2012 14:03:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Ruderich <simon@ruderich.org>:
Extra info received and forwarded to list. Copy sent to simon@ruderich.org, Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sun, 24 Jun 2012 14:03:19 GMT) Full text and rfc822 format available.

Message #15 received at 677261@bugs.debian.org (full text, mbox):

From: Simon Ruderich <simon@ruderich.org>
To: Debian Bug Tracking System <677261@bugs.debian.org>
Cc: control@bugs.debian.org
Subject: vsftpd: FTBFS[kfreebsd-amd64 mips{,el}]
Date: Sun, 24 Jun 2012 16:00:56 +0200
[Message part 1 (text/plain, inline)]
reopen 677261
thanks

Hello,

The problem aren't the hardening flags, but the flags set in
Makefile. 3.0.0-2 still fails to build on amd64 and other systems
(in fact it worked before on amd64 because +all and thus +pie was
used). This issue should be reported to upstream.

The attached patches should fix the build failure by removing the
hardcoded flags in Makefile and applying all flags which are
supported on the system (+all automatically disables +pie on
freebsd and other systems).

Btw. some patches apply with offsets and should be refreshed.

Regards,
Simon
-- 
+ privacy is necessary
+ using gnupg http://gnupg.org
+ public key id: 0x92FEFDB7E44C32F9
[12-fix-hardening.patch (text/x-diff, attachment)]
[vsftpd-debian-rules.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug reopened Request was from Simon Ruderich <simon@ruderich.org> to control@bugs.debian.org. (Sun, 24 Jun 2012 14:03:21 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions vsftpd/3.0.0-2. Request was from Simon Ruderich <simon@ruderich.org> to control@bugs.debian.org. (Sun, 24 Jun 2012 14:03:22 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Sat, 30 Jun 2012 13:54:04 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Sat, 30 Jun 2012 13:54:05 GMT) Full text and rfc822 format available.

Message #24 received at 677261-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 677261-close@bugs.debian.org
Subject: Bug#677261: fixed in vsftpd 3.0.0-3
Date: Sat, 30 Jun 2012 13:51:43 +0000
Source: vsftpd
Source-Version: 3.0.0-3

We believe that the bug you reported is fixed in the latest version of
vsftpd, which is due to be installed in the Debian FTP archive:

vsftpd_3.0.0-3.debian.tar.xz
  to main/v/vsftpd/vsftpd_3.0.0-3.debian.tar.xz
vsftpd_3.0.0-3.dsc
  to main/v/vsftpd/vsftpd_3.0.0-3.dsc
vsftpd_3.0.0-3_i386.deb
  to main/v/vsftpd/vsftpd_3.0.0-3_i386.deb
vsftpd_3.0.0.orig.tar.xz
  to main/v/vsftpd/vsftpd_3.0.0.orig.tar.xz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677261@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel.baumann@progress-technologies.net> (supplier of updated vsftpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 30 Jun 2012 15:24:42 +0200
Source: vsftpd
Binary: vsftpd
Architecture: source i386
Version: 3.0.0-3
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Changed-By: Daniel Baumann <daniel.baumann@progress-technologies.net>
Description: 
 vsftpd     - lightweight, efficient FTP server written for security
Closes: 677261 678751
Changes: 
 vsftpd (3.0.0-3) unstable; urgency=low
 .
   * Adding patch to avoid overwriting build environment (Closes:
     #677261, #678751).
   * Reenabling hardening buildflags.
   * Removing preseed file.
   * Switching to xz compression.
   * Simplyfing initscript.
   * Removing pre-squeeze update-inetd deconfiguration in postinst.
Checksums-Sha1: 
 9648845b35cd40ccbe1c93861aee3cd5394548d2 1125 vsftpd_3.0.0-3.dsc
 69365a1897fe44023cc2a828d8d6a6ca457b73dc 151672 vsftpd_3.0.0.orig.tar.xz
 740eefcc130c47bfc4cfd25214dcad7c7c8909a9 24060 vsftpd_3.0.0-3.debian.tar.xz
 8cb7e17d61e8cc25c7366f55cca53f9ef5c1c8ee 149352 vsftpd_3.0.0-3_i386.deb
Checksums-Sha256: 
 46ece855b4643a19d1f1a02daf044af64577860faebc2ac45cf9388399775d27 1125 vsftpd_3.0.0-3.dsc
 621ed652315a7080e52106633adffdd190689cb8bc73950adf687e486cce6c50 151672 vsftpd_3.0.0.orig.tar.xz
 499f9d606adfe552dd2792cf45039ed342489939062fc61030b17ea894c4920d 24060 vsftpd_3.0.0-3.debian.tar.xz
 0f5d1f38d434b533c45f57786293bb55a96bf861fda77e894d8277ac2311c5d6 149352 vsftpd_3.0.0-3_i386.deb
Files: 
 e5a0247f58566956f5daca3fc885509b 1125 net extra vsftpd_3.0.0-3.dsc
 c0a499b3e0714a86d353e691b77936b5 151672 net extra vsftpd_3.0.0.orig.tar.xz
 a215c823f175329fba5700ffb70757b4 24060 net extra vsftpd_3.0.0-3.debian.tar.xz
 a5306ddf3fa4344f7ef510e198b80584 149352 net extra vsftpd_3.0.0-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/vAEsACgkQ+C5cwEsrK56RXgCdGfpcAEBjJsn7Yt3SvRZjCTCM
hU0An08GL4iZ8kTZl9SO2h9yCencUSkN
=GX9z
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Jul 2012 07:32:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 19:49:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.